This is my port of GNU Less 1.77 for the Atari ST.

Not much work involved--I had to modify the linstall script (I
keep all my executables as .ttp files, and since I use BASH under
MiNT, it doesn't automatically search for them, so I edited the
script to explicitly call them).

From there, I told the system that I was on a BSD 4.1 machine.  I
think BSD 4.2 will work as well, but I didn't feel like taking
chances.

When linstall was done, it produced the makefile and defines.h. 
I went into defines.h and changed two things.  First, I changed
the default editor from vi to me.ttp.  This reflects my own
personal setup.  Change this to whatever you like.  Then I
changed the default help file location to /etc/less.hlp.  Again,
this reflects my personal setup.  Change it if you like.

I then hacked the makefile a bit to reflect my personal setup. 
It also makes the defaults .ttp programs.

I ran make (my port of GNU Make 3.62 that I've found to be
utterly reliable, whereas the older, 3.59 port that I had would
invariably error out after 10+ source files), and got errors
saying that the functions _re_comp and _re_exec were not found. 
I checked the header file with the PatchLevel 79 libraries, and
found that they don't use standard BSD or standard SYS V names
(re_comp and re_exec or regcmp and regexc respectively).  I
changed the references in search.c to regcomp and regexec.

I then recompiled.  The loader complained that it couldn't find
the function _regerror.  I had been told that this had to be a
user supplied function, so I wrote one that conforms to the
prototype in regexp.h.  It's in the file regerror.c.

I then recompiled again.  Clean!

Of course, I did this before, but then I found out about the
regerror thing, so I could put full support for regular
expression searches.


Hope you like it.  My earlier port has been stone-cold reliable,
but it was compiled with GCC 1.40 and the MiNT libraries at
PatchLevel 19.  This is GCC 2.1 with the GNU libraries at
PatchLevel 79.  This shouldn't make a difference.

Enjoy!

Mike.
