/*
 *		Cross Development System for Atari ST 
 *     Copyright (c) 1988, Memorial University of Newfoundland
 *
 *  These to keep track of the current special characters and tty mode.
 *
 */
#include	<ioctl.h>
#include	<tchars.h>

int	__ttymode = CRMOD|ECHO|XTABS;
char	__tchars[] = {
			010,		/* TC_ERASE - ^H */
			025,		/* TC_KILL - ^U */
			003,		/* TC_INTRC - ^C */
			034,		/* TC_QUITC - ^\ */
			004,		/* TC_EOFC - ^D */
			TC_UNDEF,	/* TC_BRKC - undefined */
			022,		/* TC_RPRNTC - ^R */
			027,		/* TC_WREASC - ^W */
			026,		/* TC_LNEXTC - ^V */
 			0177,		/* TC_RUBOUT - RUB */
			032,		/* TC_SUSP - ^Z */
			031,		/* TC_DSUSP - ^Y */
			TC_UNDEF,	/* TC_FLUSHC - undefined */
			TC_UNDEF,	/* TC_STARTC - undefined */
			TC_UNDEF	/* TC_STOPC - undefined */
		};

#if 0	/* for now */
 char	*__tchars;
KEYTAB	*__keytab;
long	*_ttymode;
#endif
