#include <sys/times.h>
#include <time.h>
#include <sys/param.h>

extern clock_t	_sys_runtime;
extern clock_t	_child_runtime;

long
times(struct tms *buffer)
{
    long real_time = clock();

    if (!buffer)
	return -1L;

    buffer->tms_cutime = (time_t) (_child_runtime * HZ / CLK_TCK);
    buffer->tms_cstime = (time_t) 0;
    buffer->tms_stime = (time_t) (_sys_runtime * HZ / CLK_TCK);
    buffer->tms_utime = (time_t)
		((real_time - _sys_runtime - _child_runtime) * HZ / CLK_TCK);
    return real_time;
}
