 /**********************************************************************\
 *									*
 *  			Configure to your env				*
 *									*
 \**********************************************************************/

/*
 * Home dir
 */
char *HOME =  "e:\\bammi";

/*
 * Path for external commands
 */
char *path[]= {
    "",			/* implicit ".\" */
    "g:\\exec\\",
    "g:\\util\\",
    "c:\\bin\\",
    "d:\\bin\\",
    "f:\\bin\\",
    (char *)NULL
    };

/*
 * Extentions to try for external commands
 *
 */
char *ext[] = {
    ".ttp",
    ".prg",
    ".tos",
    "",
    (char *)NULL
    };

/* 
 * Environment in which all commands are exec
 *
 */
char *env = 
"\
BISON_SIMPLE=g:\\bison\\bison.sim\0\
BISON_HAIRY=g:\\bison\\bison.hai\0\
FLEX_DEF=g:\\flex\\flexdef.skl\0\
FLEX_FAST=g:\\flex\\flexfast.skl\0\
TEXFORMATS=f:\\macros;.\0\
TEXINPUTS=.;f:\\macros\0\
TEXFONTS=.;f:\\tfm\0\
GNULIB=g:\\lib\0\
GCCEXEC=g:\\exec\\gcc-\0\
SYSNAME=atari@ces.cwru.edu\0\
FULLNAME=jwahar r. bammi\0\
USER=bammi\0\
EMACSLOADPATH=/dev/G/usr/lib/gnuemacs/lisp\0\
EMACSLIB=/dev/G/usr/lib/gnuemacs/lisp\0\
EMACSDOC=/dev/G/usr/lib/gnuemacs/etc\0\
TERMCAP=/dev/G/usr/lib/gnuemacs/etc/termcap\0\
TERM=atari\0\
TZ=EST5EDT\0\
PATH=g:\\exec,g:\\util,c:\\bin,d:\\bin,f:\\bin\0\
TEMP=p:\0\0\0\0\
";

		
/*
 * Aliases
 *
 */
typedef struct {
    char *aname;	/* alias name */
    char *adef;	/* command to run */
    char *optarg;	/* any arguements to come before supplied args */
} ALIAS;

ALIAS alias[] = {
    { "cpp",	"g:\\exec\\gcc-cpp.ttp",	(char *)NULL },
    { "gas",	"g:\\exec\\gcc-as.ttp",		(char *)NULL },
    { "ar",	"g:\\exec\\gcc-ar.ttp", 	(char *)NULL },
    { "ld",	"g:\\exec\\gcc-ld.ttp", 	(char *)NULL },
    { "xld",	"g:\\exec\\sym-ld.ttp", 	(char *)NULL },
    { "gcc",	"g:\\exec\\gcc.ttp", 		(char *)NULL },
    { "make",	"g:\\util\\xmake.ttp", 		(char *)NULL },
    { "bison",	"g:\\bison\\bison.ttp", 	(char *)NULL },
    { "x",	"c:\\bin\\mg.ttp",		(char *)NULL },
    { "flex",	"g:\\flex\\flex.ttp",		(char *)NULL },
    { "tex",	"f:\\bin\\tex.ttp",		(char *)NULL },
    { "latex",	"f:\\bin\\latex.ttp", 		(char *)NULL },
    { (char *)NULL, (char *)NULL, 		(char *)NULL }
};

/* - eof - */
