.TH CONV2GDBM 1
.SH NAME
conv2gdbm \- convert from dbm to gdbm database format
.SH SYNOPSIS
.B conv2gdbm
[
.B \-q
] [
.B \-b
.I block_size
]
.I dbm_file
[
.I gdbm_file
]
.SH DESCRIPTION
The program
.B conv2gdbm
has been provided to help you convert from
.IR dbm (3x)
databases to
.IR gdbm (3).
.PP
The optional
.I block_size
is the same as in
.IR gdbm_open ().
The
.I dbm_file
is the name of the
.I dbm
file without the pag or dir extensions.
The optional
.I gdbm_file
is the complete file name.
If not included, the
.I gdbm
file name is the same as the
.I dbm
file name without any extensions.
That is ``conv2gdbm dbmfile''
converts the files ``dbmfile.pag'' and
``dbmfile.dir'' into a
.I gdbm
file called ``dbmfile''.
The
.B \-q
option causes
.B conv2gdbm
to work quietly.
.SH "SEE ALSO"
dbm(3x), ndbm(3), gdbm(3)
