#
# Makefile for CHESS
#
# Copyright (C) 1986, 1987, 1988 Free Software Foundation, Inc.
#
# This file is part of CHESS.
#
# CHESS is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY.  No author or distributor
# accepts responsibility to anyone for the consequences of using it
# or for whether it serves any particular purpose or works at all,
# unless he says so in writing.  Refer to the CHESS General Public
# License for full details.
#
# Everyone is granted permission to copy, modify and redistribute
# CHESS, but only under the conditions described in the
# CHESS General Public License.   A copy of this license is
# supposed to have been given to you along with CHESS so you
# can know your rights and responsibilities.  It should be in a
# file named COPYING.  Among other things, the copyright notice
# and this notice must be preserved on all copies.
#
#
# Makefile for Megamax Laser C:
# gnuchess is the curses version
# nchess   is the 'dumb tty' version
#
#

all : gnuchess nchess

gnuchess: gnuchess.o uxdsp.o
	$(CC) -o gnuchess.tos gnuchess.o uxdsp.o curses.o

nchess: gnuchess.o nondsp.o
	$(CC) -o nchess.tos gnuchess.o nondsp.o

gnuchess.o: gnuchess.c
	$(CC) -c gnuchess.c

uxdsp.o: uxdsp.c
	$(CC) -c uxdsp.c

nondsp.o: nondsp.c
	$(CC) -c nondsp.c

