/* nothing like from Dale Schumacher's dLibs */
#include <stdio.h>
#include <stdarg.h>
#ifndef _COMPILER_H
#include <compiler.h>
#endif

#if defined(sun) || defined(__hpux)
# define fungetc ungetc
#endif

__EXTERN int _scanf __PROTO((FILE *fp, int (*get)(FILE *f),
			    int (*unget)(int c, FILE *s),
			    const char *fmt, va_list argp));

__EXTERN int fgetc __PROTO((FILE *));
__EXTERN int fungetc __PROTO((int, FILE *));

#ifdef __STDC__
int fscanf(FILE *fp, const char *fmt, ...)
#else
int fscanf(fp, fmt)
	FILE *fp;
	const char *fmt;
#endif
	{
	va_list argp;

	va_start(argp, fmt);
	return(_scanf(fp, fgetc, fungetc, fmt, argp));
	}

#ifdef __STDC__
int scanf(const char *fmt, ...)
#else
int scanf(fmt)
	const char *fmt;
#endif
	{
	va_list argp;

	va_start(argp, fmt);
	return(_scanf(stdin, fgetc, fungetc, fmt, argp));
	}

int vscanf(fmt, args)
        const char *fmt;
        va_list args;
	{
	return(_scanf(stdin, fgetc, fungetc, fmt, args));
	}

int vfscanf(fp, fmt, args)
	FILE *fp;
        const char *fmt;
        va_list args;
	{
	return(_scanf(fp, fgetc, fungetc, fmt, args));
	}
