Here is a port of scm for the atariST using the gcc environment
(scm is a portable Scheme interpreter - jackal is a symolic math
package for it):

	(assuming you use a decent shell, for instance gulam/bash/ash)
	(if using gulam, make sure 'set env_style mw' (in gulam.g))

source:
	from prep.ai.mit.edu retrieve scm4b2 (or whatever the latest version
	is_ from the ~pub/jacal subdirectory. also get slib and jacal from
	there. the enclosed diffs are with respect to scm4b2. no diffs
	are required for slib or jacal (also struct, hobbit also available
	from there and other scheme archives need no diffs for the atari).

compiling:
	using gcc, hit "make -f makefile.st" (the -mbaserel version
	runs a little faster, if you want to use that you will need
	to compile yourself a version of pml with -mbaserel and
	call that bpml.olb and then use make -f makefile.sti to compile)

installing:
	install anywhere, say for example in d:\scm.

setting up env:	
	setenv SCM_INIT_PATH /dev/D/scm/slib/init.scm
	setenv SCHEME_LIBRARY_PATH /dev/D/scm/slib/
		(note the trailing '/' )

testing
	scm.ttp
	> (load "test")

benching:
	gcc -o pi.ttp pi.c
	time pi 100 5

	scm.ttp
	> (load "pi")
	> (pi 100 5)

running jacal
	cd jacal
	..\scm.ttp	(or scm.ttp in your PATH)
	> (load "math")
	> (math)
	e0: a + 5 + 6;
	e0: 11 + a
	e1: < more expressions>
	.....
        em: batch("demo");
        .....
	en: qed();
enjoy,
--
bang:   uunet!cadence!bammi			jwahar r. bammi
domain: bammi@cadence.com
GEnie:	J.Bammi
CIS:    71515,155
